create_did
PUT /statements/v1/create/did/{did_key} Select code sample Fetch cURL
Stores and indexes the uploaded statements in batch. Next
Get statement by Statement ID
const url = 'https://example.com/statements/v1/create/did/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer
', 'Content-Type': 'application/json'}, body: '{"email":"john.smith@gmail.com","issue_vc":"true","name":"John Smith","timestamp":"2026-05-05T12:00:00Z"}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
curl --request PUT \ --url https://example.com/statements/v1/create/did/example \ --header 'Authorization: Bearer
' \ --header 'Content-Type: application/json' \ --data '{ "email": "john.smith@gmail.com", "issue_vc": "true", "name": "John Smith", "timestamp": "2026-05-05T12:00:00Z" }'
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” did_key required stringDID to register, for example did:key:z...
Request Body required
Section titled “Request Body required ” Media type application/json object email required stringExample
john.smith@gmail.com
issue_vc
Set to true to create a verifiable credential for the statement.
Example
true
name required string
Example
John Smith
timestamp
Optional RFC 3339 timestamp to embed in the DID statement.
string nullableExample
2026-05-05T12:00:00Z
Responses
Section titled “ Responses ”200
Section titled “200 ”A DID statement for the provided DID already exists, so no new statement was created.
201
Section titled “201 ”DID statement was stored and indexed successfully.
400
Section titled “400 ”Invalid request body.
Media type application/json object callstack object One of: object internal required string object external required object error nullable url required string error required stringExample generated
{ "callstack": { "internal": "example" }, "error": "example"}
Previous Stores and indexes the uploaded statements in batch. Next
Get statement by Statement ID